Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I was using the net-snmp packages that come with my linux distro (version 5.3.2.2), but wanted to do some work with the latest version of net-snmp (5.7), so tried compiling and installing the new source. It seemed to work ok but now I'm getting a load of errors when use net-snmp utils (snmpget, snmpset snmpwalk etc..)

for example:

$ snmptranslate -On SNMPv2-MIB::system.sysDescr
MIB search path: /home/me/.snmp/mibs:/usr/local/share/snmp/mibs
Cannot find module (SNMPv2-SMI) At line 6 in /usr/local/share/snmp/mibs/SNMPv2-MIB.txt
Cannot find module (SNMPv2-TC): At line 9 in /usr/local/share/snmp/mibs/SNMPv2-MIB.txt
Cannot find module (SNMPv2-MIB): At line 9 in (none)
:
<a lot of similar lines>
:
Cannot find module (NET-SNMP-VACM-MIB): At line 9 in (none)
.1.3.6.1.2.1.1.1

From this I assumed perhaps that I was missing mibs from the 'MIB search path', so I looked at the first error 'Cannot find module (SNMPv2-SMI)', however it seems to be in the right directory:

$ ls /usr/local/share/snmp/mibs/*SNMPv2-SMI*
/usr/local/share/snmp/mibs/SNMPv2-SMI.txt

And the same result for the other in the list.. so I'm wondering if anybody knows why it might not be finding the modules even though they seem to be in the search path?

share|improve this question

migrated from stackoverflow.com Sep 9 '11 at 14:44

This question came from our site for professional and enthusiast programmers.

2 Answers 2

Looks like the solution to your problem is in this thread.

share|improve this answer

There was a bug in the 5.7 release that can cause this error message to be shown when it shouldn't be. Try using the 5.7.1.rc3 release (or wait a week until the final 5.7.1 comes out).

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.